package com.pixelized.biblib.utils.extention

import androidx.compose.foundation.layout.*
import androidx.compose.runtime.Composable
import androidx.compose.ui.unit.Dp

@Composable
fun navigationBarsHeight(): Dp =
    WindowInsets.navigationBars.asPaddingValues().calculateBottomPadding()

@Composable
fun imeHeight(): Dp =
    WindowInsets.ime.asPaddingValues().calculateBottomPadding()

@Composable
fun statusBarsHeight(): Dp =
    WindowInsets.statusBars.asPaddingValues().calculateTopPadding()